#
# spec file for package shtools (Version 2001.09.08)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         shtools
Copyright:    2001 SuSE GmbH Nuernberg, Germany
Group:        Base
Requires:     fileutils sh-utils bash gzip bzip2 compress
Provides:     shtools
Autoreqprov:  on
Version:      2001.09.08
Release:      18
Summary:      A collection of useful shell scripts
Source:       shtools.tar.bz2
BuildArch: noarch

%description
This package contains a small collection of useful shell scripts for diverse purposes.
Included are e.g.
xzip - compresses files with the best suitable compression;
xse - execute commands on a different terminal;
lc - convert filenames to lowercase;
bsod - a 'blue screen of death'-generator for terminals :-)
fixvt - repairs your terminal settings when everything looks weird...
xresolution - print the resolution of the X server;
and many more...

Authors:
--------
    Christian Steinruecken <cstein@suse.de>

SuSE series: ap

%prep
%setup -n shtools

%build
gzip -5 ./man/*

%install
mkdir -p /usr/bin
install -m 755 ./bin/* /usr/bin/
install -m 755 ./X11/* /usr/X11R6/bin/
cp -p ./man/* %{_mandir}/man1/
# mkdir -p /usr/share/doc/packages/shtools
# install -m 644 ./LICENSE /shtools/

%files
/usr/bin/YaST
/usr/bin/bsod
/usr/bin/coltable
/usr/bin/fixvt
/usr/bin/halt
/usr/bin/ipaddr
/usr/bin/lc
/usr/bin/mksplit
/usr/bin/my_ip
/usr/bin/perm
/usr/bin/poweroff
/usr/bin/reboot
/usr/bin/redlines
/usr/bin/rp
/usr/bin/segfault
/usr/bin/shpack
/usr/bin/utf8xterm
/usr/bin/uu
/usr/bin/vcp
/usr/bin/ver
/usr/bin/xaccess
/usr/X11R6/bin/xheat
/usr/X11R6/bin/xres
/usr/X11R6/bin/xresolution
/usr/bin/xse
/usr/X11R6/bin/xt
/usr/X11R6/bin/xt.black
/usr/X11R6/bin/xt.blue
/usr/X11R6/bin/xt.green
/usr/X11R6/bin/xt.red
/usr/X11R6/bin/xt.white
/usr/bin/xunzip
/usr/bin/xzip
/usr/bin/yast
/usr/bin/yast1
/usr/bin/yast2
/usr/bin/zast
/usr/bin/zast2
%doc %{_mandir}/man1/xzip.1.gz
%doc %{_mandir}/man1/xresolution.1.gz
%doc %{_mandir}/man1/xres.1.gz
%doc LICENSE

%changelog -n shtools
* Sat Sep 08 2001 - cstein@suse.de
- included more terminal codes in 'coltable'
- updated 'xse'
- rewrote most parts of 'lc', fixed the time stamp bug and
  made the option parsing a little more sophisticated.
  Also improved the error handling and added a '--verbose' switch.
- minor changes to the manual page of xzip
* Wed Sep 05 2001 - cstein@suse.de
- wrote a script which displays a table of colours and terminal
  codes. Very useful as a quick reference  (-> coltable)
- fixed bad date entries in spec file
* Tue Aug 21 2001 - cstein@suse.de
- moved X related scripts to /usr/X11R6/bin/
- fixed a bug in /usr/bin/resu: in some cases arguments were not
  passed on properly
* Thu Aug 16 2001 - cstein@suse.de
- added 'perm'
* Wed Aug 15 2001 - cstein@suse.de
- renamed rep to rp to avoid possible conflict with librep.
- added 'xaccess' and 'xheat'
- corrected a problem in vcp which occurred if no parameter was
  passed on
- added 'redlines'
* Fri Aug 10 2001 - cstein@suse.de
- added 'vcp'
* Sat Aug 04 2001 - cstein@suse.de
- added 'ipaddr'
* Sun Jul 22 2001 - cstein@suse.de
- added version info and BSD license to xresolution
- added manual page for xresolution
- changes in manual page for xzip
* Sat Jul 21 2001 - cstein@suse.de
- fixed a bug concerning the '-display' option in xresolution
* Tue Jul 17 2001 - cstein@suse.de
- added '-display' option to xresolution
- made screen number detection a little smarter
* Mon Jul 16 2001 - cstein@suse.de
- fixed xresolution for X sessions with multiple displays
* Mon Jul 16 2001 - cstein@suse.de
- added 'xresolution'
* Sat Jul 14 2001 - cstein@suse.de
- small changes in mksplit, added GPL header
* Wed Jul 11 2001 - cstein@suse.de
- improved xse (added help options and sanity checking)
- added 'resu'
* Wed Jul 11 2001 - cstein@suse.de
-  added a manual page for xzip and updated file list
  in spec file
* Tue Jul 10 2001 - cstein@suse.de
-  enhanced option parsing in xzip
-  corrected a spelling mistake in uu
* Sun Jul 08 2001 - cstein@suse.de
-  added xunzip and shpack
* Sat Jul 07 2001 - cstein@suse.de
-  created package
